Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build.strategy
Class QuartzStrategyImpl

    java.lang.Object
      com.atlassian.bamboo.build.strategy.AbstractBuildStrategy
          com.atlassian.bamboo.build.strategy.QuartzStrategyImpl

All Implemented Interfaces:
  BuildStrategy, QuartzStrategy, ConvertibleFromConfig

Direct Known Subclasses:
  CronTriggerBuildStrategy, SingleDailyBuildStrategy

    public abstract class QuartzStrategyImpl

extends AbstractBuildStrategy
implements QuartzStrategy

Field Summary
`protected static String` | `BUILD_JOB_GROUP`
`protected static String` | `BUILD_STRATEGY`
`protected boolean` | `buildTriggered`

Fields inherited from class com.atlassian.bamboo.build.strategy.AbstractBuildStrategy
`changeList`

Constructor Summary
`QuartzStrategyImpl()`

Method Summary
`Scheduler` | `getScheduler()`
`void` | `init(Build build)` Default to do nothing
`boolean` | `isBuildTriggered()`
`void` | `removeJob(Build build)`
`boolean` | `requiresBuild(Build build)` Should the build be built?
`boolean` | `requiresPreBuildClean()` Should we clean the build files before we build?
`void` | `setBuildTriggered(boolean buildTriggered)`
`void` | `setScheduler(Scheduler scheduler)`

Methods inherited from class com.atlassian.bamboo.build.strategy.AbstractBuildStrategy
`addDefaultValues, getBuildMessage, getChangeList, getDescription, log, populateChangeList, populateFromConfig, setBuildMessage, toConfiguration, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.build.strategy.QuartzStrategy
`initialiseJob`

Methods inherited from interface com.atlassian.bamboo.build.strategy.BuildStrategy
`addDefaultValues, getBuildMessage, getChangeList, getDescription, getKey, getName, setBuildMessage, validate`

Methods inherited from interface com.atlassian.bamboo.fieldvalue.ConvertibleFromConfig
`populateFromConfig, toConfiguration`

Field Detail

### BUILD_JOB_GROUP

    protected static final String BUILD_JOB_GROUP

See Also:
  Constant Field Values

### BUILD_STRATEGY

    protected static final String BUILD_STRATEGY

See Also:
  Constant Field Values

### buildTriggered

    protected boolean buildTriggered

Constructor Detail

### QuartzStrategyImpl

    public QuartzStrategyImpl()

Method Detail

### init

    public void init(Build build)

  Description copied from class: `AbstractBuildStrategy`
  Default to do nothing

  Specified by:
    `init` in interface `BuildStrategy`
  Overrides:
    `init` in class `AbstractBuildStrategy`

### removeJob

    public void removeJob(Build build)

  Specified by:
    `removeJob` in interface `QuartzStrategy`

### isBuildTriggered

    public boolean isBuildTriggered()

  Specified by:
    `isBuildTriggered` in interface `QuartzStrategy`

### setBuildTriggered

    public void setBuildTriggered(boolean buildTriggered)

  Specified by:
    `setBuildTriggered` in interface `QuartzStrategy`

### requiresBuild

    public boolean requiresBuild(Build build)
                          throws RepositoryException

  Description copied from interface: `BuildStrategy`
  Should the build be built?

  Specified by:
    `requiresBuild` in interface `BuildStrategy`
  Parameters:
    `build` - The build
  Returns:
    True iff the build should be built.
  Throws:
    `RepositoryException`

### requiresPreBuildClean

    public boolean requiresPreBuildClean()

  Description copied from interface: `BuildStrategy`
  Should we clean the build files before we build?

  Specified by:
    `requiresPreBuildClean` in interface `BuildStrategy`
  Returns:
    true iff the existing build file should be deleted first?

### getScheduler

    public Scheduler getScheduler()

### setScheduler

    public void setScheduler(Scheduler scheduler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.